Page MenuHomePhabricator

Links in image captions are mangled
Closed, ResolvedPublic

Description

en:Optical microscope in latest Chrome on Nexus 6P:


<a> is treated as a block element?

Event Timeline

MaxSem created this task.Nov 14 2016, 10:01 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes, Aklapper. · View Herald TranscriptNov 14 2016, 10:01 PM
Jdlrobson added subscribers: TheDJ, Jdlrobson.

@TheDJ looks like this was caused by T148505 :-/

Jdlrobson updated the task description. (Show Details)Nov 15 2016, 4:20 PM
TheDJ added a comment.EditedNov 15 2016, 4:54 PM

@Jdlrobson yup, i already noticed this morning. It seems that when i moved the style lines to hack.less, I got confused and moved the new styling into .thumbinner > div (the old style block), while it should have been on .thumbinner.

Annoyingly enough, that seems to not affect the layout of the images too much, but it does affect the display style of the children of .thumbcaption.

Will fix when I get home.

jhobs moved this task from Design to 2014-15 Q4 on the Readers-Web-Backlog board.
Jdlrobson lowered the priority of this task from Unbreak Now! to Normal.Nov 15 2016, 6:11 PM

Change 321708 had a related patch set uploaded (by TheDJ):
Correct flex display for thumbnail contents on mobile

https://gerrit.wikimedia.org/r/321708

thanks for the report @MaxSem and thanks @TheDJ <3

Change 321708 merged by jenkins-bot:
Correct flex display for thumbnail contents on mobile

https://gerrit.wikimedia.org/r/321708

ovasileva closed this task as Resolved.Nov 16 2016, 1:19 PM
ovasileva claimed this task.

Change 322638 had a related patch set uploaded (by TheDJ):
Correct flex display for thumbnail contents on mobile

https://gerrit.wikimedia.org/r/322638

Change 322638 merged by jenkins-bot:
Correct flex display for thumbnail contents on mobile

https://gerrit.wikimedia.org/r/322638

Mentioned in SAL (#wikimedia-operations) [2016-11-21T19:24:10Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.3/extensions/MobileFrontend/resources/skins.minerva.content.styles/hacks.less: SWAT: [[gerrit:322638|Correct flex display for thumbnail contents on mobile (T150706)]] (duration: 00m 59s)